List secret slots
import requests
url = "https://platform.ankra.app/api/v1/org/secret-slots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/secret-slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/secret-slots \
--header 'Authorization: Bearer <token>'{
"slots": [
{
"slot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"hint": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"last_accessed_at": "2023-11-07T05:31:56Z",
"access_count": 123,
"sentinel": "<string>",
"created_via": "user",
"pinned_at": "2023-11-07T05:31:56Z",
"references": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_kind": "<string>",
"resource_name": "<string>",
"document_path": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"created_by_user_id": "<string>"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}Secret Slots
List secret slots
Lists the organisation’s secret slots, newest first, with each slot’s sentinel and the live resources that reference it. Values are stored in Vault and are never returned.
GET
/
api
/
v1
/
org
/
secret-slots
List secret slots
import requests
url = "https://platform.ankra.app/api/v1/org/secret-slots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/secret-slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/secret-slots \
--header 'Authorization: Bearer <token>'{
"slots": [
{
"slot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"hint": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"last_accessed_at": "2023-11-07T05:31:56Z",
"access_count": 123,
"sentinel": "<string>",
"created_via": "user",
"pinned_at": "2023-11-07T05:31:56Z",
"references": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_kind": "<string>",
"resource_name": "<string>",
"document_path": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"created_by_user_id": "<string>"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}